Skip to main content
GET
ListTestMeasurements

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

pageSize
integer<int64>

The maximum number of test measurements to return. The service may return fewer than this value. If unspecified, at most 50 test measurements will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

pageToken
string

A page token, received from a previous ListTestMeasurements call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListTestMeasurements must match the call that provided the page token.

filter
string

A Common Expression Language (CEL) filter string. Available fields to filter by are measurement_id, measurement_type, name, test_step_id, test_report_id, numeric_value, string_value, boolean_value, passed, timestamp, created_date, modified_date, and metadata. Metadata can be used in filters by using metadata.{metadata_key_name} as the field name. For further information about how to use CELs, please refer to this guide.

orderBy
string

How to order the retrieved test measurements. Formatted as a comma-separated string i.e. "FIELD_NAME[ desc],...". Available fields to order_by are measurement_id, name, measurement_type, test_step_id, test_report_id, passed, timestamp, created_date, and modified_date. If left empty, items are ordered by timestamp in ascending order. For more information about the format of this field, read this Example: "timestamp asc,name"

Response

A successful response.

testMeasurements
The list of test measurements · object[]
nextPageToken
string